

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';



class LandingScreen2 extends StatefulWidget {
  const LandingScreen2({Key? key}) : super(key: key);

  @override
  State<LandingScreen2> createState() => _LandingScreen2State();
}

class _LandingScreen2State extends State<LandingScreen2> {

  PageController pageController=PageController( initialPage: 0);


  int _currentIndex=0;

  List<dynamic>landingImage = [
    'assets/food/1.png',
    'assets/food/2.png',
    'assets/food/3.png',
  ];
  List heading=['Hungry?',
    'Time Shortage?','Sudden Guests?',
    ];
  List details=[
    "It's all at your fingertips – the restaurants and shops you love. Find the right food to suit your mood",
    "Late in home today? No time and strength for cooking? Get your desired food in 30 minutes",
    "Sudden guest in your home? Just select and order now to get you desired food quickly"
  ];




  @override
  Widget build(BuildContext context) {
    Size screenSize = MediaQuery.of(context).size;
    const myColor=Colors.teal;
    return  Scaffold(
backgroundColor: Colors.black,
      body: Stack(
        children: [
          PageView.builder(
            itemCount: landingImage.length,
              scrollBehavior: const ScrollBehavior(),
              controller: pageController,
              onPageChanged: (index){
                setState(() {
                  _currentIndex=index;
                });
              },
              itemBuilder: (BuildContext context, int index){
                if(landingImage.isEmpty){
                  return  LinearProgressIndicator(
                    color: Colors.grey.shade100,
                    backgroundColor: Colors.white54,
                  );
                }else {
                  return

                    Stack(
                      children: [
                        Container(
                            height: screenSize.height/1.7,
                            width: screenSize.width,
                            decoration: BoxDecoration(
                                image: DecorationImage(image: AssetImage('${landingImage[index]}'),fit: BoxFit.cover)
                            )
                        ),
                        Center(
                          child: Padding(
                            padding:  EdgeInsets.only(left: 20.0,right: 20,top: screenSize.height*.65),
                            child: Column(

                              children: [
                                Text('${heading[index]}',style: TextStyle(fontSize: 35,color: Colors.white),),
                              SizedBox(height: 15,),
                                Text('${details[index]}',style: TextStyle(fontSize: 20,color: Colors.white),),

                              ],
                            ),
                          ),
                        ),
                        Visibility(
                          visible: _currentIndex==landingImage.length-1,
                          child: Container(
                            margin: EdgeInsets.only(top: screenSize.height*.7),
                            child: Center(
                              child: ElevatedButton(
                                  onPressed: (){},
                                  style: ElevatedButton.styleFrom(
                                    backgroundColor: Colors.white
                                  ),
                                  child: Padding(
                                    padding: const EdgeInsets.symmetric(horizontal: 20.0,vertical: 10),
                                    child: Text('Home',style: TextStyle(
                                    fontSize: 20,color: Colors.black
                              ),),
                                  )),
                            ),
                          ),
                        )

                      ],
                    );
                }
              }
          ),
          Padding(
            padding:  EdgeInsets.only(top: screenSize.height*.9),
            child: Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                for(var i=0; i<landingImage.length; i++)
                  DotIndicator(_currentIndex==i)
              ],),
          ),
        ],
      ),

    );
  }
}

Widget DotIndicator(bool x){
  return Padding(
    padding: const EdgeInsets.all(8.0),
    child: Container(
      height: x? 12:10,
      width:  x? 25:10,
      decoration:   BoxDecoration(
          color: x? Colors.white: Colors.white70,
          borderRadius: BorderRadius.circular(5),
          boxShadow: [BoxShadow(
            blurRadius: 1,
            color: Colors.grey,
            spreadRadius: 1,

          )
          ]
      ),
    ),
  );
}



